#ifndef CLIENT_H
#define CLIENT_H

#include "header.h"


typedef struct client {
    struct sockaddr_in addr;
    char buf[1536];
    unsigned int reqs[MAX_PACK_REQS];
    int cnt;
    int reqs_left;
    struct timeval timeout;
    int repl_ln;
    struct client *next;
    struct client *prev;
} *Client;

Client client_create ANSI((unsigned int));
void client_insert ANSI((Client, Client));
void client_delete ANSI((Client));
Client client_getnode ANSI(());
void client_free ANSI((Client));

#define THERE_ARE_CLIENTS (clients->next != clients)
#define FIRST_CLIENT (clients->next)

#endif
