/*
 * linked list used by host hash to lookup clients waiting on pings
 *
 */


#ifndef CLIENT_UPDATE_H
#define CLIENT_UPDATE_H

#include "header.h"
#include "client.h"

typedef struct client_update {
    struct client *client;
    struct client_update *next;
} *Client_update;


void client_update_setmem ANSI((unsigned int));
int client_update_insert ANSI((Client_update *, Client));
void client_update_delete ANSI((Client_update *, Client));
Client_update client_update_getnode ANSI(());
void client_update_free ANSI((Client_update));

#define client_update_create() NULL

#define client_update_traverse(ptr, list) \
   for ((ptr) = (list); (ptr) != NULL; (ptr) = (ptr)->next)

#endif
