#ifndef MASK_H
#define MASH_H

#include "header.h"

typedef struct masklist {
    unsigned int addr;
    unsigned int mask;
    int len;
    struct masklist *next;
} *Masklist;

Masklist masklist_create();
void masklist_insert ANSI((Masklist, unsigned int, unsigned int));
void masktable_create();

#define ml_traverse(ptr, list) \
 for ((ptr) = (list)->next; (ptr) != (list); (ptr) = (ptr)->next)

#define ml_empty(x) (x->next == x)
		     
#endif
